summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVishal Bhoj <vishal.bhoj@linaro.org>2016-08-25 09:25:08 +0100
committerVishal Bhoj <vishal.bhoj@linaro.org>2016-08-25 10:46:34 +0100
commitc07ebf80080a4acb5350d35aeac6faef470152fa (patch)
tree7a2671ba6db632fa9630a20f0c9202147021b946
parent24e92b2e67d85adeae68b1aa89ee98c6130114d9 (diff)
downloadandroid-patchsets-c07ebf80080a4acb5350d35aeac6faef470152fa.tar.gz
Add patches for reference-lcr nougat build
Change-Id: I4c6257b6fbf412a4b318b07112ab06261954af45 Signed-off-by: Vishal Bhoj <vishal.bhoj@linaro.org>
-rwxr-xr-xhikey-n-workarounds36
-rwxr-xr-xjuno-n-workarounds22
2 files changed, 58 insertions, 0 deletions
diff --git a/hikey-n-workarounds b/hikey-n-workarounds
new file mode 100755
index 0000000..4869fe1
--- /dev/null
+++ b/hikey-n-workarounds
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+##################################################
+################ Linaro hack ###################
+##################################################
+## Linaro patch for development based on the AOSP master branch
+## Set TARGET_CPU_VARIANT and TARGET_2ND_CPU_VARIANT,
+## and integrated tests
+## http://android-review.linaro.org/17155
+apply --linaro device/linaro/hikey 17155/2
+
+## enabling kernel compilation, etc
+## https://android-review.linaro.org/#/c/16834/
+apply --linaro device/linaro/hikey 16834/3
+
+## revert to have default serialno
+revert device/linaro/hikey 128d7e6340d693af53bdecac28fd97d3ae8695ee
+
+## kernel/cpuset.c: hack for add_tid_to_cgroup failure
+## https://android-review.linaro.org/#/c/17073/
+apply --linaro --local kernel/linaro/hisilicon kernel/hikey-linaro 17073/1
diff --git a/juno-n-workarounds b/juno-n-workarounds
new file mode 100755
index 0000000..a442060
--- /dev/null
+++ b/juno-n-workarounds
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+##################################################
+################ Linaro hack ###################
+##################################################
+######## 32bpp software graphis support ########
+apply frameworks/native 147401/1